Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.util
Class DefaultErrorHandler<Identifier>

    java.lang.Object
      org.mpisws.p2p.transport.util.DefaultErrorHandler<Identifier>

Type Parameters:
  `Identifier` -
  `E` -

All Implemented Interfaces:
  ErrorHandler<Identifier>

    public class DefaultErrorHandler<Identifier>

extends java.lang.Object
implements ErrorHandler<Identifier>

Just logs the problems.

Author:
  Jeff Hoye

Field Summary
`int` | `NUM_BYTES_TO_PRINT`
`protected int` | `printlevel`

Constructor Summary
`DefaultErrorHandler(Logger logger)`
`DefaultErrorHandler(Logger logger, int printlevel)`

Method Summary
`void` | `receivedException(Identifier i, java.lang.Throwable error)` We got an exception.
`void` | `receivedUnexpectedData(Identifier id, byte[] bytes, int pos, java.util.Map<java.lang.String,java.lang.Object> options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_BYTES_TO_PRINT

    public int NUM_BYTES_TO_PRINT

### printlevel

    protected int printlevel

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler(Logger logger)

### DefaultErrorHandler

    public DefaultErrorHandler(Logger logger,
                               int printlevel)

Method Detail

### receivedUnexpectedData

    public void receivedUnexpectedData(Identifier id,
                                       byte[] bytes,
                                       int pos,
                                       java.util.Map<java.lang.String,java.lang.Object> options)

  Specified by:
    `receivedUnexpectedData` in interface `ErrorHandler<Identifier>`
  Parameters:
    `id` - the sender of the message (as can best be determined)
    `bytes` - the entire message/socket header
    `pos` - the location in the bytes that is unexpected

### receivedException

    public void receivedException(Identifier i,
                                  java.lang.Throwable error)

  Description copied from interface: `ErrorHandler`
  We got an exception.

  Specified by:
    `receivedException` in interface `ErrorHandler<Identifier>`
  Parameters:
    `i` - the identifier responsible (if any)
    `error` - the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.